Create an outbound request and allocate available stock
API key scope: inventory:write.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Optional client request id returned in structured errors.
Unique key used to safely retry outbound creation.
Request Bodyrequired
Section titled “Request Bodyrequired”object
Inventory owner id. Defaults to the organization default owner.
Inventory channel id. Defaults to the organization default channel.
Product id requested in this outbound. Required when lines is omitted.
Location id where stock should ship from. Required when lines is omitted.
Requested quantity. Required when lines is omitted.
Line-level products, origin locations, and requested quantities. When present, parent quantities are aggregated from lines.
object
Product id requested for this outbound line.
Location id where this line should ship from.
Example
Acme CustomerExample
sales_orderExample
so_01JABCExample
2026-07-10T12:00:00.000ZExample
outboundExample
out_01JABCobject
Example
{ "channel": "web"}Responses
Section titled “Responses”Outbound created with allocation movements when stock exists.
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Example
{ "outbound": { "id": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa", "organizationId": "11111111-1111-4111-8111-111111111111", "environment": "test", "productId": "22222222-2222-4222-8222-222222222222", "locationId": "33333333-3333-4333-8333-333333333333", "requestedQuantity": 4, "allocatedQuantity": 2, "pickedQuantity": 1, "packedQuantity": 0, "fulfilledQuantity": 0, "pendingAllocationQuantity": 2, "pendingPickQuantity": 1, "pendingPackQuantity": 1, "pendingFulfillmentQuantity": 2, "status": "partiallyPicked", "customerName": "Acme Customer", "externalOrderType": "sales_order", "externalOrderId": "so_01JABC", "expectedShipAt": "2026-07-10T12:00:00.000Z", "allocatedAt": "2026-06-29T10:05:00.000Z", "fulfilledAt": null, "cancelledAt": null, "referenceType": "sales_order", "referenceId": "so_01JABC", "metadata": { "channel": "web" }, "version": 1, "createdBy": null, "actor": { "type": "api_key", "id": "api-key-1", "label": "Public test integration" }, "product": { "id": "22222222-2222-4222-8222-222222222222", "name": "Black T-Shirt - Medium", "sku": "TSHIRT-BLACK-M" }, "location": { "id": "33333333-3333-4333-8333-333333333333", "name": "Main Warehouse", "code": "MAIN-WH", "type": "warehouse" }, "lines": [ { "id": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb", "organizationId": "11111111-1111-4111-8111-111111111111", "environment": "test", "outboundId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa", "productId": "22222222-2222-4222-8222-222222222222", "locationId": "33333333-3333-4333-8333-333333333333", "requestedQuantity": 4, "allocatedQuantity": 2, "pickedQuantity": 1, "packedQuantity": 0, "fulfilledQuantity": 0, "pendingAllocationQuantity": 2, "pendingPickQuantity": 1, "pendingPackQuantity": 1, "pendingFulfillmentQuantity": 2, "product": { "id": "22222222-2222-4222-8222-222222222222", "name": "Black T-Shirt - Medium", "sku": "TSHIRT-BLACK-M" }, "location": { "id": "33333333-3333-4333-8333-333333333333", "name": "Main Warehouse", "code": "MAIN-WH", "type": "warehouse" }, "serials": [ { "id": "15151515-1515-4515-8515-151515151515", "serialId": "14141414-1414-4414-8414-141414141414", "pickedAt": "2026-07-01T12:05:00.000Z", "packedAt": null, "shippedAt": null, "serial": { "id": "14141414-1414-4414-8414-141414141414", "serialNumber": "SN-2026-0001", "status": "picked", "productId": "22222222-2222-4222-8222-222222222222", "locationId": "33333333-3333-4333-8333-333333333333", "lotId": "12121212-1212-4212-8212-121212121212" } } ], "createdAt": "2026-06-29T10:00:00.000Z", "updatedAt": "2026-06-29T10:05:00.000Z" } ], "createdAt": "2026-06-29T10:00:00.000Z", "updatedAt": "2026-06-29T10:05:00.000Z" }, "balance": { "id": "55555555-5555-4555-8555-555555555555", "organizationId": "11111111-1111-4111-8111-111111111111", "environment": "test", "productId": "22222222-2222-4222-8222-222222222222", "locationId": "33333333-3333-4333-8333-333333333333", "onHand": 10, "available": 8, "reserved": 0, "committed": 2, "incoming": 0, "damaged": 0, "qualityControl": 0, "safetyStock": 0, "version": 1, "product": { "id": "22222222-2222-4222-8222-222222222222", "name": "Black T-Shirt - Medium", "sku": "TSHIRT-BLACK-M" }, "location": { "id": "33333333-3333-4333-8333-333333333333", "name": "Main Warehouse", "code": "MAIN-WH", "type": "warehouse" }, "createdAt": "2026-06-29T10:00:00.000Z", "updatedAt": "2026-06-29T10:00:00.000Z" }, "balances": [ { "id": "55555555-5555-4555-8555-555555555555", "organizationId": "11111111-1111-4111-8111-111111111111", "environment": "test", "productId": "22222222-2222-4222-8222-222222222222", "locationId": "33333333-3333-4333-8333-333333333333", "onHand": 10, "available": 8, "reserved": 0, "committed": 2, "incoming": 0, "damaged": 0, "qualityControl": 0, "safetyStock": 0, "version": 1, "product": { "id": "22222222-2222-4222-8222-222222222222", "name": "Black T-Shirt - Medium", "sku": "TSHIRT-BLACK-M" }, "location": { "id": "33333333-3333-4333-8333-333333333333", "name": "Main Warehouse", "code": "MAIN-WH", "type": "warehouse" }, "createdAt": "2026-06-29T10:00:00.000Z", "updatedAt": "2026-06-29T10:00:00.000Z" } ], "movements": [ { "id": "88888888-8888-4888-8888-888888888888", "organizationId": "11111111-1111-4111-8111-111111111111", "environment": "test", "productId": "22222222-2222-4222-8222-222222222222", "locationId": "33333333-3333-4333-8333-333333333333", "lotId": "12121212-1212-4212-8212-121212121212", "operation": "outbound_allocate", "inventoryState": "available", "quantity": -2, "unitCode": "CASE", "unitQuantity": 1, "baseUnitCode": "EA", "balanceBefore": 10, "balanceAfter": 8, "reason": "Allocate outbound stock", "referenceType": "outbound", "referenceId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa", "source": "api_key", "idempotencyKey": "receive-unique-key", "metadata": { "batch": "A1" }, "actor": { "type": "api_key", "id": "api-key-1", "label": "Public test integration" }, "product": { "id": "22222222-2222-4222-8222-222222222222", "name": "Black T-Shirt - Medium", "sku": "TSHIRT-BLACK-M" }, "location": { "id": "33333333-3333-4333-8333-333333333333", "name": "Main Warehouse", "code": "MAIN-WH", "type": "warehouse" }, "lot": { "id": "12121212-1212-4212-8212-121212121212", "lotCode": "LOT-2026-001", "batchCode": "BATCH-A", "expiresAt": "2027-07-01T00:00:00.000Z", "status": "active" }, "serials": [ { "id": "14141414-1414-4414-8414-141414141414", "serialNumber": "SN-2026-0001", "status": "in_stock", "productId": "22222222-2222-4222-8222-222222222222", "locationId": "33333333-3333-4333-8333-333333333333", "lotId": "12121212-1212-4212-8212-121212121212" } ], "createdAt": "2026-06-29T10:00:00.000Z" } ]}The organization has exhausted its monthly public API request quota.
The organization has exhausted an applicable monthly billing quota.
Examples
{ "error": { "code": "PLAN_LIMIT_EXCEEDED", "message": "Plan limit exceeded for billable_inventory_operations", "requestId": "req_123", "details": { "entitlementKey": "billable_inventory_operations", "scope": "environment", "environment": "live", "configured": true, "limit": "2000", "used": "2000", "requested": "1", "currentPlan": { "code": "free", "version": 1 }, "requiredPlan": { "code": "starter", "version": 1, "requiresOverride": false } } }}{ "error": { "code": "PLAN_LIMIT_EXCEEDED", "message": "Plan limit exceeded for api_requests", "requestId": "req_123", "details": { "entitlementKey": "api_requests", "scope": "environment", "environment": "live", "configured": true, "limit": "50000", "used": "50000", "requested": "1", "currentPlan": { "code": "free", "version": 1 }, "requiredPlan": { "code": "starter", "version": 1, "requiresOverride": false } } }}